using WingRpcSDK.Common.Loader;
using WingStorageModule.Service;
using System;
using WingInterfaceLibrary.Interface;

namespace WingStorageModule.ServiceLoader
{
    public class StorageServiceLoader: IServiceLoader
    {
        /// <summary>
        /// Create service
        /// </summary>
        /// <returns></returns>
        public object CreateService()
        {
            var service = new StorageService();
            return service;
        }

        /// <summary>
        /// Get service type
        /// </summary>
        /// <returns></returns>
        public Type GetServiceType()
        {
            return typeof(IStorageService);
        }
    }
}